clear;
close all;

base_dir = [...
    '/home/jpkim/jpkim_files_seqam02/16_Caffe/', ...
    '01_working/caffe/jpkim_grad', ...
    '/weeklyreport_2015_0412_opt_to_image_sliding'];
base_dir2 = [...
    '/home/jpkim/jpkim_files_seqam02/16_Caffe/', ...
    '01_working/caffe/jpkim_grad/', ...
    'weeklyreport_2015_0408_opt_to_image/images_0407/1/'];

ric_list = [171, 237, 67, 83, 119, 25, 13, 27];
tmp = load('idx_list.mat');
idx_list = tmp.idx_list;
clear tmp;
tmp = load('sort_idx.mat');
sort_idx = tmp.sort_idx;
clear tmp;



file_names = cell(length(ric_list), 5);
for i=1:length(ric_list)
    k = 1;
    
    % ric coin
    outimg_name = sprintf('im_%03d_%02d.jpg', i, k);
    src_name = sprintf('%s/ric_symbols/ric%04d.jpg', base_dir, ric_list(i));
    im = imread(src_name);
    im = im(17:240, 17:240, :);
    imwrite(im, outimg_name, 'jpg');
    file_names{i, k} = outimg_name;
    k = k + 1;
    
    % proposed method one pixel
    outimg_name = sprintf('im_%03d_%02d.jpg', i, k);
    src_name = sprintf('%s/res%04d.jpg', base_dir2, idx_list(sort_idx==ric_list(i)));
    copyfile(src_name, outimg_name);
    file_names{i, k} = outimg_name;
    k = k + 1;
    
    % proposed method 11x11
    outimg_name = sprintf('im_%03d_%02d.jpg', i, k);
    src_name = sprintf('%s/images_0411_sliding/K11_l2/res%04d.jpg', base_dir, idx_list(sort_idx==ric_list(i)));
    copyfile(src_name, outimg_name);
    file_names{i, k} = outimg_name;
    k = k + 1;
    
    % proposed method 21x21
    outimg_name = sprintf('im_%03d_%02d.jpg', i, k);
    src_name = sprintf('%s/images_0411_sliding/K21_l2/res%04d.jpg', base_dir,idx_list(sort_idx==ric_list(i)));
    copyfile(src_name, outimg_name);
    file_names{i, k} = outimg_name;
    k = k + 1;
    
    % previous method 11x11
    outimg_name = sprintf('im_%03d_%02d.jpg', i, k);
    src_name = sprintf('%s/sliding_occlude/11/fc8_flickr_res%04d.jpg', base_dir, idx_list(sort_idx==ric_list(i)));
    im = imread(src_name);
    im = im(17:240, 17:240, :);
    imwrite(im, outimg_name, 'jpg');
    file_names{i, k} = outimg_name;
    k = k + 1;
    
    % previous method 21x21
    outimg_name = sprintf('im_%03d_%02d.jpg', i, k);
    src_name = sprintf('%s/sliding_occlude/21/fc8_flickr_res%04d.jpg', base_dir, idx_list(sort_idx==ric_list(i)));
    im = imread(src_name);
    im = im(17:240, 17:240, :);
    imwrite(im, outimg_name, 'jpg');
    file_names{i, k} = outimg_name;
    k = k + 1; 
    
end


fprintf('\n\n\n\n');
for i=1:length(ric_list)
    for k=1:size(file_names, 2)
        fprintf('\\includegraphics[scale=0.3]{figure/%s}', file_names{i, k});
        if k == size(file_names, 2)
            fprintf('\\\\\n\\hline\n');
        else
            fprintf(' & ');
        end
    end
end


    
    
    
    
    
    